CMSIS-Core (Cortex-A): Generic Physical Timer Functions

| CMSIS-Core (Cortex-A) Version 1.0.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
Generic Physical Timer Functions
Core Peripherals

Generic Physical Timer Functions allow to control privilege level 1 physical timer registers on Generic Timer for Cortex-A7 class devices.
Reference: Cortex-A7 MPCore Technical Reference Manual. More...

## Data Structures
union | CNTP_CTL_Type
| Physical Timer Control register. More...

## Functions
__STATIC_INLINE void | PL1_SetCounterFrequency (uint32_t value)
| Configures the frequency the timer shall run at. More...
__STATIC_INLINE void | PL1_SetLoadValue (uint32_t value)
| Sets the reset value of the timer. More...
__STATIC_INLINE uint32_t | PL1_GetCurrentValue ()
| Get the current counter value. More...
__STATIC_INLINE void | PL1_SetControl (uint32_t value)
| Configure the timer by setting the control value. More...
__STATIC_INLINE uint32_t | PL1_GetControl ()
| Get the control value. More...

## Description

## Function Documentation

__STATIC_INLINE uint32_t PL1_GetControl | ( |  | ) |

Get the timer control value.

Returns
  CNTP_CTL_Type Timer control value.
  Control value.

__STATIC_INLINE uint32_t PL1_GetCurrentValue | ( |  | ) |

Get the current counter value.

Returns
  Current counter value.
  Current counter value.

__STATIC_INLINE void PL1_SetControl | ( | uint32_t | value | ) |

Configure the timer by setting the control value.

Parameters

  | value | New timer control value.
  [in] | value | New timer control value.

__STATIC_INLINE void PL1_SetCounterFrequency | ( | uint32_t | value | ) |

Configures the frequency the timer shall run at.

Parameters

  | value | The timer frequency in Hz.
  [in] | value | The timer frequency in Hz.

__STATIC_INLINE void PL1_SetLoadValue | ( | uint32_t | value | ) |

Sets the reset value of the timer.

Parameters

  | value | The value the timer is loaded with.
  [in] | value | The value the timer is loaded with.